modal_page.modal.*:
  type: config_entity
  label: 'Modal config'
  mapping:
    id:
      type: string
      label: 'ID'
    uuid:
      type: string
    label:
      type: label
      label: 'Modal Title'
    body:
      type: text_format
      label: 'Body'
    pages:
      type: text
      label: 'Pages to show'
    auto_open:
      type: boolean
      label: 'Auto Open'
    open_modal_on_element_click:
      type: string
      label: 'Open this modal clicking on this element'
    langcode:
      type: string
      label: 'Language'
    ok_label_button:
      type: text
      label: 'Button: Right (OK)'
    top_right_button_label:
      type: text
      label: 'Button: Top-Right (X)'
    left_label_button:
      type: text
      label: 'Button: Left (Dismiss)'
    enable_dont_show_again_option:
      type: boolean
      label: 'Enable option Dont show again'
    dont_show_again_label:
      type: text
      label: "Don't show again"
    modal_size:
      type: string
      label: 'Modal Size'
    modal_video_link:
      type: text
      label: 'Modal Video'
    close_modal_esc_key:
      type: boolean
      label: 'Close Modal pressing ESC key'
    close_modal_clicking_outside:
      type: boolean
      label: 'Close Modal clicking outside the Modal'
    roles:
      type: sequence
      label: 'Who can access this Modal'
      sequence:
        type: string
    type:
      type: string
      label: 'Modal Type'
    delay_display:
      type: string
      label: 'Delay to display'
    enable_custom_cookie_expiration:
      type: boolean
      label: 'Cookie expiration'
    custom_cookie_expiration_time:
      type: integer
      label: 'Cookie expiration time'
    enable_show_on_height:
      type: boolean
      label: 'Enable show on height'
    height_offset:
      type: string
      label: 'Offset value'
    height_offset_touch:
      type: string
      label: 'Offset position'
    published:
      type: boolean
      label: 'Published'
    insert_horizontal_line_header:
      type: boolean
      label: 'Insert horizontal line'
    insert_horizontal_line_footer:
      type: boolean
      label: 'Insert horizontal footer'
    enable_modal_header:
      type: boolean
      label: 'Enable Modal Header'
    enable_modal_footer:
      type: boolean
      label: 'Enable Modal Footer'
    display_title:
      type: boolean
      label: 'Display title'
    display_button_x_close:
      type: boolean
      label: 'Display button "X" to close'
    top_right_button_class:
      type: string
      label: 'Top right button class'
    modal_class:
      type: string
      label: 'Modal class'
    header_class:
      type: string
      label: 'Modal class'
    footer_class:
      type: string
      label: 'Footer class'
    enable_left_button:
      type: boolean
      label: 'Enable Left Button'
    ok_button_class:
      type: string
      label: 'Ok button class'
    left_button_class:
      type: string
      label: 'Left button class'
    parameters:
      type: string
      label: 'Parameters'
    enable_right_button:
      type: boolean
      label: 'Enable Right Button'
    languages_to_show:
      type: sequence
      label: 'Enable Right Button'
      sequence:
        type: string
    redirect_link:
      type: text
      label: 'Redirect Link'
    enable_redirect_link:
      type: boolean
      label: 'Enable Redirect Link'
    modal_page_auto_hide:
      type: boolean
      label: 'Auto Hide Modal'
    modal_page_auto_hide_delay:
      type: string
      label: 'Auto Hide Delay'
    modal_page_show_once:
      type: boolean
      label: 'Show Modal Only Once'
    publish_on:
      type: integer
      label: 'Publish on'
    unpublish_on:
      type: integer
      label: 'Unpublish on'

modal_page.settings:
  type: config_object
  mapping:
    verify_load_bootstrap_automatically:
      type: boolean
      label: 'Verify load bootstrap automatically'
    load_bootstrap:
      type: boolean
      label: 'Load bootstrap'
    bootstrap_version:
      type: string
      label: 'Bootstrap version'
    allowed_tags:
      type: string
      label: 'Allowed tags'
    clear_caches_on_modal_save:
      type: boolean
      label: 'Clear caches on modal save'
    default_cookie_expiration:
      type: integer
      label: 'Default cookie expiration time'
